# Веб-домены

Чтобы управлять веб-доменами, перейдите на вкладку **Веб <i class="fas fa-fw fa-globe-americas"></i>**.

## Добавление веб-домена

1. Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Добавить веб-домен**.

2. Введите доменное имя в поле **Домен**.
- Если вы хотите управлять DNS этого домена в Hestia, установите флажок **Создать зону DNS**
- Если вы хотите включить почту для этого домена, установите флажок **Включить почту для этого домена**.

3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

## Установка приложения

1. Щелкните имя домена или значок <i class="fas fa-fw fa-pencil-alt"><span class="visually-hidden">редактирования</span></i>, который появляется при наведении.
2. Щелкните кнопку **<i class="fas fa-fw fa-magic"></i> Быстрая установка приложения** в правом верхнем углу.
3. Выберите приложение, которое хотите установить, и щелкните кнопку **Настройка**.
4. Заполните поля. Если приложение использует базу данных, у вас будет возможность автоматически создать базу данных или использовать существующую.
5. Щелкните кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

::: warning
В зависимости от выбранного вами приложения для установки это может занять 30 секунд или больше. Не перезагружайте и не закрывайте вкладку!
:::

## Редактирование веб-домена

1. Щелкните имя домена или значок <i class="fas fa-fw fa-pencil-alt"><span class="visually-hidden">редактирования</span></i>, который появляется при наведении.
2. Внесите изменения. Ниже описаны параметры.
3. Щелкните кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

## Просмотр журналов доступа и ошибок

1. Наведите указатель мыши на домен, журналы которого вы хотите просмотреть.
2. Щелкните значок <i class="fas fa-fw fa-binoculars"><span class="visually-hidden">журналов</span></i>.
3. В верхней части страницы у вас есть возможность загрузить журналы или просмотреть журналы ошибок.

## Приостановка веб-домена

1. Наведите указатель мыши на домен, который вы хотите приостановить.
2. Нажмите значок <i class="fas fa-fw fa-pause"><span class="visually-hidden">приостановить</span></i> справа от веб-домена.

## Удаление веб-домена

1. Наведите указатель мыши на домен, который вы хотите удалить.
2. Нажмите значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">удалить пользователя</span></i> справа от веб-домена. **Будут удалены** веб-домен и связанные учетные записи FTP.

## Конфигурация веб-домена

### Включение статистики

1. Выберите **awstats** в поле выбора с надписью **Веб-статистика**.
2. При желании введите имя пользователя и пароль.
3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.
4. Перейдите на `https://domain.tld/vstats/`, чтобы просмотреть статистику.

### Управление перенаправлениями

1. Отметьте поле **Включить перенаправление домена**.

2. Выберите нужный параметр. При выборе **Перенаправлять посетителей на пользовательский домен или веб-адрес** у вас есть возможность выбрать код статуса HTTP (по умолчанию 301).

::: warning
Если ваш домен — это [интернационализированное доменное имя (IDN)](https://en.wikipedia.org/wiki/Internationalized_domain_name), содержащее специальные символы, даже если вы выберете `www.domain.tld` или `domain.tld`, он преобразует домен в [punycode](https://en.wikipedia.org/wiki/Punycode) и выберите **Перенаправлять посетителей на пользовательский домен или веб-адрес**.

:::

### Включение SSL

1. Установите флажок **Включить SSL для этого домена**.

2. Установите флажок **Использовать Let’s Encrypt для получения сертификата SSL**, чтобы использовать Let’s Encrypt.
3. В зависимости от ваших требований вы можете включить **Включить автоматическое перенаправление HTTPS** или **Включить HTTP Strict Transport Security (HSTS)**.
4. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

Если вы хотите использовать собственный сертификат SSL, вы можете ввести его в текстовое поле.

Если у вас возникли проблемы с включением Let’s Encrypt, обратитесь к нашей документации [SSL-сертификаты](../server-administration/ssl-certificates.md).

### Изменение версии PHP

::: info
Эта опция не всегда доступна. Она может быть отключена в настройках сервера. За дополнительной информацией обратитесь к администратору сервера.

:::

1. Выберите нужную версию PHP в поле **Шаблон бэкенда**.

### Использование другого корневого каталога

1. Установите флажок **Пользовательский корень документа**.

2. Выберите доменное имя, на которое должен указывать этот домен.

3. Выберите путь. Например, `/public/` будет ссылаться на `/home/user/web/domain.tld/public_html/public/`.

### Дополнительные учетные записи FTP

1. Установите флажок **Дополнительные учетные записи FTP**.

2. Введите имя пользователя и пароль (или сгенерируйте его). Имя пользователя будет иметь префикс `user_`.

3. Введите путь, к которому учетная запись сможет получить доступ.

4. При желании укажите адрес электронной почты, на который будут отправлены данные для входа.

Чтобы добавить еще одну учетную запись FTP, нажмите кнопку **Добавить учетную запись FTP**, затем нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

Чтобы удалить учетную запись FTP, нажмите ссылку **УДАЛИТЬ** справа от ее имени, затем нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

Чтобы измените пароль, обновите поле пароля, затем нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

### Шаблоны прокси

::: info
В зависимости от настроек сервера эта опция может быть недоступна.
:::

- **default**: универсальный шаблон. Подходит для большинства случаев использования.
- **caching**: шаблон с включенным кэшем прокси. Подходит для большинства статичных материалов, например: блогов или новостных сайтов.
- **hosting**: аналогично default.

Здесь также будут отображаться любые пользовательские шаблоны.

- **srvproxy**: шаблон для конфигурации прокси для любого внутреннего сервиса, например gitea, который запускается и присоединеятся к порту или создает unix-сокет. При выборе данного шаблона, появляется дополнительное поле `Установить порт для локального сервиса`, в котором нужно указать путь к unix-сокету или порт внутреннего сервиса. В качестве шаблона Backend в данном случае можно выбрать `no-php`, т.к. в данном случае бакэндом будет сервис.

![domain_proxy](/images/proxy_domain.png)

::: tip
Любые пользовательские шаблоны, начинающиеся с `caching-`, позволят использовать кнопку **<i class="fas fa-fw fa-trash"></i> Очистить кэш Nginx**. Убедитесь, что файл `.sh` существует для `caching-my-template` с как минимум [этим содержимым](https://dev.brepo.ru/bayrepo/hestiacp/raw/branch/master/install/rpm/templates/web/nginx/caching.sh)
:::

### Веб-шаблоны

Для серверов, работающих под управлением Apache2 и Nginx, подойдет шаблон **default**.

Для серверов, работающих только под управлением Nginx, выберите шаблон, соответствующий имени приложения, которое вы собираетесь использовать.

### Управление кэшированием Nginx

Когда включено кэширование Nginx (с использованием кэша FastCGI или с шаблоном с поддержкой кэширования), вы можете очистить кэш с помощью кнопки **<i class="fas fa-fw fa-trash"></i> Очистить кэш Nginx**.

При использовании только Nginx вы можете включить кэширование FastCGI с помощью поля **Включить кэш FastCGI**. Если этот флажок установлен, отображается опция, позволяющая определить, в течение какого времени кэш считается действительным.